DCMTK: IODSeriesAndInstanceReferenceMacro Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Attributes | Static Private Attributes | List of all members
IODSeriesAndInstanceReferenceMacro Class Reference

Class representing the Series and Instance Reference Macro. More...

Inheritance diagram for IODSeriesAndInstanceReferenceMacro:

## Classes
class | ReferencedSeriesItem
| Class representing Items from the Referenced Series Sequence: More...

## Public Member Functions
| IODSeriesAndInstanceReferenceMacro (OFshared_ptr< DcmItem > data, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODSeriesAndInstanceReferenceMacro (IODComponent *parent=NULL)
| Constructor.
virtual | ~IODSeriesAndInstanceReferenceMacro ()
| Virtual Destructor.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read Series and Instance Reference Macro from given item.
virtual OFCondition | write (DcmItem &destination)
| Write Series and Instance Reference Macro to given item.
virtual OFString | getName () const
| Get name of module ("SeriesAndInstanceReferenceMacro")
virtual void | resetRules ()
| Resets rules to their original values.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
OFVector< ReferencedSeriesItem * > & | getReferencedSeriesItems ()
| Return reference to list of Referenced Series items.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes
OFVector< ReferencedSeriesItem * > | m_ReferencedSeriesItems
| Vector with all items of the Referenced Series Sequence.

## Static Private Attributes
static const OFString | m_ComponentName
| Name of this component ("SeriesAndInstanceReferenceMacro")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Series and Instance Reference Macro.

## Constructor & Destructor Documentation

## ◆ IODSeriesAndInstanceReferenceMacro() [1/2]

IODSeriesAndInstanceReferenceMacro::IODSeriesAndInstanceReferenceMacro | ( | OFshared_ptr< DcmItem > | data,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = NULL )

Constructor.

Parameters

  data | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.
  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## ◆ IODSeriesAndInstanceReferenceMacro() [2/2]

IODSeriesAndInstanceReferenceMacro::IODSeriesAndInstanceReferenceMacro | ( | IODComponent * | parent = NULL | ) |

Constructor.

Parameters

  parent | The parent component of this class (if applicable, might be NULL)

References IODComponent::IODComponent().

## Member Function Documentation

## ◆ clearData()

virtual void IODSeriesAndInstanceReferenceMacro::clearData | ( |  | ) |
| virtual

Clear (removes) all attributes handled by the modules of this component.

Rules are not reset.

## ◆ getName()

virtual OFString IODSeriesAndInstanceReferenceMacro::getName | ( |  | ) | const
| virtual

Get name of module ("SeriesAndInstanceReferenceMacro")

Returns
  Name of the module ("SeriesAndInstanceReferenceMacro")

Implements IODComponent.

## ◆ getReferencedSeriesItems()

OFVector< ReferencedSeriesItem * > & IODSeriesAndInstanceReferenceMacro::getReferencedSeriesItems | ( |  | ) |

Return reference to list of Referenced Series items.

Returns
  Reference to list of Reference Series Items

## ◆ read()

virtual OFCondition IODSeriesAndInstanceReferenceMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read Series and Instance Reference Macro from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is deleted before reading (default)

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## ◆ write()

virtual OFCondition IODSeriesAndInstanceReferenceMacro::write | ( | DcmItem & | destination | ) |
| virtual

Write Series and Instance Reference Macro to given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2